# MYP Entwicklungs-Roadmap

Dieses Dokument skizziert die geplanten Entwicklungsschritte für MYP (Manage Your Printer).

## Version 1.0 (aktuell)

- [x] Benutzer- und Rechteverwaltung (Admin/User)
- [x] Verwaltung von Druckern und Smart Plugs
- [x] Reservierungssystem für Drucker (Zeitplanung)
- [x] Automatisches Ein-/Ausschalten der Drucker über Smart Plugs
- [x] Grundlegende Statistikerfassung
- [x] Kiosk-Modus für Raspberry Pi

## Version 1.1 (nächstes Release)

- [ ] Verbessertes Dashboard mit Echtzeit-Status aller Drucker
- [ ] Optimierte Benutzeroberfläche für Touchscreen-Bedienung
- [ ] Verbesserte Fehlerbehandlung und Selbstheilungsmechanismen
- [ ] Unterstützung für verschiedene Sprachen (Internationalisierung)
- [ ] Erweiterte Logging-Funktionalität

## Version 1.2 (mittelfristig)

- [ ] Unterstützung für weitere Smart-Plug-Typen (nicht nur TP-Link Tapo)
- [ ] Telegram- oder E-Mail-Benachrichtigungen bei Job-Ende/Problemen
- [ ] Verbesserte Statistik mit visuellen Darstellungen (Graphen, Charts)
- [ ] Exportfunktion für Nutzungsdaten (CSV, PDF)
- [ ] Einfache Nutzungsanleitungen direkt in der Web-Oberfläche

## Version 2.0 (langfristig)

- [ ] Direkte Integration mit OctoPrint für 3D-Drucker-Steuerung
- [ ] Kamera-Integration zur visuellen Überwachung der Drucker
- [ ] Materialverwaltung mit Bestandsführung
- [ ] Kostenberechnung für Druckaufträge
- [ ] Prognose der Energiekosten basierend auf Messwerten der P110-Plugs
- [ ] Mobile App für iOS/Android

## Technische Schulden & Optimierungen

- [ ] Umstellung auf asynchrone API mit FastAPI
- [ ] Frontend mit modernem Framework (Vue.js, React)
- [ ] API-Dokumentation mit Swagger/OpenAPI
- [ ] Verbessertes Datenbankschema für bessere Skalierbarkeit
- [ ] Unit- und Integrationstests
- [ ] Containerisierung mit Docker für einfachere Bereitstellung
- [ ] Upgrade auf Python 3.12+ und neuere Abhängigkeiten

## Sicherheitsverbesserungen

- [ ] HTTPS-Unterstützung
- [ ] Verbesserte Passwort-Richtlinien
- [ ] 2-Faktor-Authentifizierung für Administratoren
- [ ] Regelmäßige Sicherheits-Audits
- [ ] Sichere Speicherung von Zugangsdaten (nicht im Code)

## Wartbarkeit

- [ ] Umfassendere Dokumentation für Entwickler
- [ ] Code-Refactoring für bessere Lesbarkeit und Wartbarkeit
- [ ] Aufteilen von app.py in mehrere Module
- [ ] Verbessertes Fehlerhandling und Logging 