# MYP Kiosk-Modus Installation

## Einfache Installation

Das MYP Kiosk-System installiert automatisch:
- Python 3.11 Backend auf 192.168.0.105:80
- Chromium Kiosk-Modus im Vollbild
- Automatischer Login als "user"
- Automatischer Neustart nach Installation

## Installation

```bash
cd backend/install
sudo chmod +x install-kiosk.sh
sudo ./install-kiosk.sh
```

Das System startet automatisch neu und öffnet den Kiosk-Modus.

## Services

- **myp-backend.service** - Python Backend
- **myp-kiosk.service** - Chromium Kiosk

## Konfiguration

- **Backend:** http://192.168.0.105:80
- **Benutzer:** user (automatischer Login)
- **Desktop:** Openbox (minimal)
- **Browser:** Chromium im Kiosk-Modus

## Wartung

```bash
# Service-Status prüfen
sudo systemctl status myp-backend.service
sudo systemctl status myp-kiosk.service

# Services neu starten
sudo systemctl restart myp-backend.service
sudo systemctl restart myp-kiosk.service

# Logs anzeigen
sudo journalctl -u myp-backend.service -f
sudo journalctl -u myp-kiosk.service -f
```

## Deinstallation

```bash
sudo systemctl disable myp-backend.service
sudo systemctl disable myp-kiosk.service
sudo rm /etc/systemd/system/myp-*.service
sudo rm -rf /opt/myp
sudo rm /etc/lightdm/lightdm.conf.d/10-autologin.conf
sudo reboot
``` 